Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1134456 - vdsm-tool isconfigured returns wrong results
Summary: vdsm-tool isconfigured returns wrong results
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Yaniv Bronhaim
QA Contact: Jiri Belka
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-08-27 14:26 UTC by Yaniv Bronhaim
Modified: 2016-02-10 19:32 UTC (History)
9 users (show)

Fixed In Version: vt2.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-16 13:37:25 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30136 None None None Never
oVirt gerrit 30571 None None None Never

Description Yaniv Bronhaim 2014-08-27 14:26:34 UTC
Description of problem:
When isconfigured enum introduced we fixed isconfigured to check only if status is NOT_CONFIGURED. although we also added NOT_SURE which also requires re-configuring with force flag. 

Actual results:
configure with --force does not override libvirt configuration

Expected results:
check any other value than configure and re-configure its module

Comment 2 Jiri Belka 2014-09-17 12:41:05 UTC
The BZ misses verification steps, please provide them. Thank you.


Note You need to log in before you can comment on or make changes to this bug.